osgSim::ImpostorSpriteManager Class Reference

`#include <ImpostorSprite>`

Inheritance diagram for osgSim::ImpostorSpriteManager:

## Public Member Functions

| ImpostorSpriteManager ()
bool | empty () const
ImpostorSprite * | first ()
ImpostorSprite * | last ()
void | push_back (ImpostorSprite *is)
void | remove (ImpostorSprite *is)
ImpostorSprite * | createOrReuseImpostorSprite (int s, int t, unsigned int frameNumber)
osg::StateSet * | createOrReuseStateSet ()
void | reset ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::vector< osg::ref_ptr< osg::StateSet > > | StateSetList

## Protected Member Functions

| ~ImpostorSpriteManager ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::ref_ptr< osg::TexEnv > | _texenv
osg::ref_ptr< osg::AlphaFunc > | _alphafunc
ImpostorSprite * | _first
ImpostorSprite * | _last
StateSetList | _stateSetList
unsigned int | _reuseStateSetIndex
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

Helper class for managing the reuse of ImpostorSprite resources.

## Member Typedef Documentation

## StateSetList

typedef std::vector< osg::ref_ptr<osg::StateSet> > osgSim::ImpostorSpriteManager::StateSetList

protected

## Constructor & Destructor Documentation

## ImpostorSpriteManager()

osgSim::ImpostorSpriteManager::ImpostorSpriteManager | ( |  | ) |

## ~ImpostorSpriteManager()

osgSim::ImpostorSpriteManager::~ImpostorSpriteManager | ( |  | ) |

protected

## Member Function Documentation

## createOrReuseImpostorSprite()

ImpostorSprite * osgSim::ImpostorSpriteManager::createOrReuseImpostorSprite | ( | int | s,
|  | int | t,
|  | unsigned int | frameNumber )

## createOrReuseStateSet()

osg::StateSet * osgSim::ImpostorSpriteManager::createOrReuseStateSet | ( |  | ) |

## empty()

bool osgSim::ImpostorSpriteManager::empty | ( |  | ) | const

inline

References _first.

## first()

ImpostorSprite * osgSim::ImpostorSpriteManager::first | ( |  | ) |

inline

References _first.

## last()

ImpostorSprite * osgSim::ImpostorSpriteManager::last | ( |  | ) |

inline

References _last.

## push_back()

void osgSim::ImpostorSpriteManager::push_back | ( | ImpostorSprite * | is | ) |

## remove()

void osgSim::ImpostorSpriteManager::remove | ( | ImpostorSprite * | is | ) |

## reset()

void osgSim::ImpostorSpriteManager::reset | ( |  | ) |

## Member Data Documentation

## _alphafunc

osg::ref_ptr<osg::AlphaFunc> osgSim::ImpostorSpriteManager::_alphafunc

protected

## _first

ImpostorSprite* osgSim::ImpostorSpriteManager::_first

protected

Referenced by empty(), and first().

## _last

ImpostorSprite* osgSim::ImpostorSpriteManager::_last

protected

Referenced by last().

## _reuseStateSetIndex

unsigned int osgSim::ImpostorSpriteManager::_reuseStateSetIndex

protected

## _stateSetList

StateSetList osgSim::ImpostorSpriteManager::_stateSetList

protected

## _texenv

osg::ref_ptr<osg::TexEnv> osgSim::ImpostorSpriteManager::_texenv

protected

The documentation for this class was generated from the following file:

- ImpostorSprite